Rules can be reordered individually by setting the position attribute when performing an Update App Rule request.
However if you need to update a lot of rules then this could result in a lot of requests so you should consider using this Bulk Sort endpoint instead.
Resource URL
https://<subdomain>.onelogin.com/api/2/apps/:app_id/rules/sortHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Sample Request Body
The request body must contain an array of App Rule IDs in the desired order.All App Rules must be included to do a bulk sort. If you dont supply all of the IDs you will get an error.
[
196671,
196670,
196672,
196676,
197758,
...
]Sample Responses
- 200 OK
- 401 Unauthorized
- 422 Unprocessable Entity
On success a complete list of ordered rules is returned.
[
196671,
196670,
196672,
196676,
197758,
...
]Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}Indicates that not all rule IDs were included in the request.
{
"code": 422,
"message": "Validation Failed",
"errors": [
{
"field": "default",
"message": [
"Sorting list must contain all mapping IDs"
]
}
]
}Postman Collection
The App Rules API Postman Collections are nested in the Apps API Collection folder in the Rules folder.
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Bulk Sort App Rules
curl 'https://<subdomain>.onelogin.com/api/2/apps/:app_id/rules/sort' \
-X PUT \
-H "Authorization: bearer <access_token>"
-H "Content-Type: application/json" \
-d '[196671,196670,196672,196676,197758]'Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.